Retrieve custom domain
Roles
Analytics Events
/v1/config/domainReturns your tenant's custom domain configuration and its verification status.
Analytic events
- CONFIG_CUSTOM_DOMAIN_RETRIEVE_START
- CONFIG_CUSTOM_DOMAIN_RETRIEVE_SUCCESS
- CONFIG_CUSTOM_DOMAIN_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Response Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/config/domain"{
"name": "Example Corp",
"logoUrl": "https://cdn.example.com/logo.icon",
"domain": "example.com",
"verificationToken": "8c6f36c1-91ff-439d-a518-48cf7ef421ef",
"isVerified": true,
"verifiedAt": "2024-01-31T20:31:48.340Z"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Configure custom domain POST
Creates a custom domain configuration on your tenant. You can configure a custom domain for a specific MATTR VII tenant to represent your brand and instil trust with your end-users. Any MATTR VII tenant can only have one custom domain. Refer to our [docs](https://learn.mattr.global/docs/platform-management/custom-domain-overview) for more information. ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_CREATE_START * CONFIG_CUSTOM_DOMAIN_CREATE_SUCCESS * CONFIG_CUSTOM_DOMAIN_CREATE_FAIL
Update custom domain PUT
Updates the custom domain configuration. ### **Analytic events** * CONFIG_CUSTOM_DOMAIN_UPDATE_START * CONFIG_CUSTOM_DOMAIN_UPDATE_SUCCESS * CONFIG_CUSTOM_DOMAIN_UPDATE_FAIL